# $Revision: 1.184 $, $Date: 2012/05/27 15:00:15 $
#
# Conditiional build:
%bcond_without	systemd # enable systemd support for default (when systemd is not running fallback to ConsoleKit)
#
Summary:	Session support tools for the GNOME GUI desktop environment
Summary(pl.UTF-8):	Programy obsługujęce sesję dla środowiska graficznego GNOME
Name:		gnome-session
Version:	3.4.2.1
Release:	1
Epoch:		1
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-session/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	7254bcc8e1e493cbf2a27e4f3cbe966b
Source1:	%{name}-gnome.desktop
Source2:	polkit-gnome-authentication-agent-1.desktop
URL:		http://www.gnome.org/
BuildRequires:	GConf2
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.6
BuildRequires:	json-glib-devel >= 0.10
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	polkit-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
%{?with_systemd:BuildRequires:	systemd-devel}
BuildRequires:	upower-devel >= 0.9.0
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-xtrans-devel
Requires(post,postun):	glib2 >= 1:2.28.0
Requires:	dbus-x11
Requires:	gnome-control-center >= 1:3.4.0
Requires:	gnome-screensaver >= 3.4.0
Requires:	gnome-wm
Requires:	gsettings-desktop-schemas >= 3.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	polkit-gnome >= 0.101
Requires:	upower >= 0.9.0
# needs notification-daemon in fallback mode to function
Requires:	dbus(org.freedesktop.Notifications)
# sr@Latn vs. sr@latin
Obsoletes:	gnome-splash-gnome < 1:2.32.0
Conflicts:	glibc-misc < 6:2.7
Conflicts:	polkit-gnome < 0.101
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

GNOME session provides the session tools for the the GNOME desktop.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) to zestaw przyjaznych dla
użytkownika aplikacji i narzędzi do używania w połączeniu z zarządcą
okien pod X. GNOME ma podobny cel jak CDE i KDE, ale bazuje całkowicie
na wolnym oprogramowaniu.

Pakiet gnome-session zawiera narzędzia do obsługi sesji dla środowiska
graficznego GNOME.

%prep
%setup -q

mv ChangeLog main-ChangeLog
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ipv6 \
	%{__enable_disable systemd systemd} \
	--disable-silent-rules \
	X_EXTRA_LIBS="-lXext"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/default-session
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/shutdown

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop
sed -e 's,@LIBDIR@,%{_libdir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas
%update_icon_cache hicolor

%postun
if [ "$1" = "0" ]; then
	/sbin/ldconfig
	%update_icon_cache hicolor
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS *ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-session
%attr(755,root,root) %{_bindir}/gnome-session-properties
%attr(755,root,root) %{_bindir}/gnome-session-quit
%attr(755,root,root) %{_libdir}/gnome-session-check-accelerated
%attr(755,root,root) %{_libdir}/gnome-session-check-accelerated-helper
%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%dir %{_datadir}/gnome/autostart
%dir %{_datadir}/gnome/default-session
%dir %{_datadir}/gnome/shutdown
%dir %{_datadir}/gnome-session
%dir %{_datadir}/gnome-session/sessions
%{_datadir}/gnome-session/gsm-inhibit-dialog.ui
%{_datadir}/gnome-session/hardware-compatibility
%{_datadir}/gnome-session/session-properties.ui
%{_datadir}/gnome-session/sessions/gnome-fallback.session
%{_datadir}/gnome-session/sessions/gnome.session
%{_datadir}/xsessions/gnome.desktop
%{_mandir}/man[15]/*
%{_desktopdir}/session-properties.desktop
%{_iconsdir}/hicolor/*/*/session-properties.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-session.spec,v $
Revision 1.184  2012/05/27 15:00:15  megabajt
- updated to 3.4.2.1

Revision 1.183  2012/05/15 10:39:31  kiesiu
- updated to 3.4.2

Revision 1.182  2012/04/16 13:26:22  megabajt
- updated to 3.4.1

Revision 1.181  2012/03/31 14:10:00  glen
- mention that fallback note in bcond desc

Revision 1.180  2012/03/30 17:09:23  wiget
- enable systemd support for default (when systemd is not running fallback to ConsoleKit)
- rel. 2

Revision 1.179  2012/03/27 18:20:37  megabajt
- updated to 3.4.0; merged changes from DEVEL
- added systemd bcond (off by default)

Revision 1.178.2.1  2012/02/22 17:02:07  megabajt
- updated to 3.3.90

Revision 1.178  2011/10/17 20:23:20  kiesiu
- updated to 3.2.1

Revision 1.177  2011/09/26 21:29:35  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.176.2.2  2011/09/20 19:36:37  megabajt
- updated to 3.1.92

Revision 1.176.2.1  2011/09/05 20:36:41  wiget
- up to 3.1.91

Revision 1.176  2011/08/17 21:08:15  glen
- R: dbus-x11, gnome-session starts dbus-launch

Revision 1.175  2011/07/10 21:07:09  glen
- on second thought, require to have fallback possibility present

Revision 1.174  2011/07/10 20:59:22  glen
- fallback mode does not work without notification daemon

Revision 1.173  2011/05/23 22:34:19  kiesiu
- updated to 3.0.2

Revision 1.172  2011/04/26 16:50:59  kiesiu
- updated to 3.0.1

Revision 1.171  2011/04/05 13:23:04  kiesiu
- polkit authentication agent should start only in fallback mode

Revision 1.170  2011/04/05 12:30:40  kiesiu
- up to 3.0.0; merged from DEVEL

Revision 1.169  2011/04/02 05:12:26  qboosh
- en@shaw locale is now supported
- better description

Revision 1.168  2011/03/09 16:02:17  megabajt
- set proper libdir in desktop file

Revision 1.167  2011/03/09 15:47:01  megabajt
- provide desktop file for autostarting polkit authentication agent
- C: polkit-gnome < 0.101
- release 3

Revision 1.166  2011/02/06 16:50:37  sparky
- unified %clean section

Revision 1.165  2011/02/04 18:23:52  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.164  2010/11/21 16:10:36  wiget
- back to stable version

Revision 1.163.2.14  2011/03/30 17:42:46  wiget
- up to 2.91.94

Revision 1.163.2.13  2011/03/23 23:10:04  wiget
- up to 2.91.93

Revision 1.163.2.12  2011/03/22 22:09:06  megabajt
- updated to 2.91.92

Revision 1.163.2.11  2011/03/09 17:00:32  wiget
- up to 2.91.91.3

Revision 1.163.2.10  2011/03/09 16:49:37  wiget
- up to 2.91.91.2

Revision 1.163.2.9  2011/03/09 13:43:31  wiget
- up to 2.91.91.1

Revision 1.163.2.8  2011/03/08 19:00:36  wiget
- R: gsettings-desktop-schemas >= 2.91.91

Revision 1.163.2.7  2011/03/07 21:11:36  wiget
- up to 2.91.91

Revision 1.163.2.6  2011/02/26 13:15:25  wiget
- 2.91.90.1

Revision 1.163.2.5  2011/02/22 13:25:46  megabajt
- updated to 2.91.90

Revision 1.163.2.4  2011/02/12 15:59:58  wiget
- BR stable gtk+
- R: gnome-screensaver

Revision 1.163.2.3  2011/02/03 20:46:25  wiget
- 2.91.6

Revision 1.163.2.2  2011/01/16 18:44:00  wiget
- more BRs

Revision 1.163.2.1  2010/12/28 23:06:46  wiget
- 2.91.4

Revision 1.163  2010/11/21 16:07:30  wiget
- 2.91.0

Revision 1.162  2010/11/18 10:22:50  caleb
- Up to 2.32.1

Revision 1.161  2010/09/30 10:08:32  patrys
- 2.32.0
- no more splash

Revision 1.160  2010/06/23 14:17:37  megabajt
- updated to 2.30.2

Revision 1.159  2010/03/31 06:30:52  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.158.2.2  2010/03/14 18:59:51  megabajt
- updated to 2.29.92

Revision 1.158.2.1  2010/02/17 11:43:14  megabajt
- updated to 2.29.6
- removed en@shaw locale

Revision 1.158  2009/11/25 17:03:13  sparky
- BR: GConf2

Revision 1.157  2009/10/24 12:32:53  megabajt
- provide /usr/share/gnome/autostart directory
- release 2

Revision 1.156  2009/09/26 21:45:44  patrys
- merged from DEVEL

Revision 1.155.2.5  2009/09/26 21:45:07  patrys
- 2.28.0

Revision 1.155.2.4  2009/09/09 07:32:25  patrys
- 2.27.92

Revision 1.155.2.3  2009/08/25 22:26:43  patrys
- 2.27.91

Revision 1.155.2.2  2009/07/29 09:09:19  patrys
- 2.27.5

Revision 1.155.2.1  2009/07/16 10:01:41  patrys
- 2.27.4

Revision 1.155  2009/07/01 14:51:14  megabajt
- updated to 2.26.2

Revision 1.154  2009/04/14 17:32:35  megabajt
- updated to 2.26.1

Revision 1.153  2009/04/08 15:00:32  patrys
- 2.26.0.90

Revision 1.152  2009/03/19 10:16:39  megabajt
- really restore session saving
- release 4

Revision 1.151  2009/03/18 11:43:36  patrys
- fix dir name

Revision 1.150  2009/03/18 11:43:02  patrys
- unscrew merging
- rel 3

Revision 1.149  2009/03/18 11:36:53  patrys
- no more sr@Latn
- rel 2

Revision 1.148  2009/03/18 11:34:22  patrys
- merged from DEVEL

Revision 1.142.2.1.2.4  2009/03/18 11:30:29  patrys
- add session saving patch

Revision 1.142.2.1.2.3  2009/03/17 17:38:31  megabajt
- updated to 2.26.0
- session saving not yet ready in this release

Revision 1.142.2.1.2.2  2009/03/04 18:28:28  megabajt
- updated to 2.25.92
- session saving is back, but there might be bugs

Revision 1.142.2.1.2.1  2009/02/21 11:34:58  megabajt
- updated to 2.25.91
- removed obsolete -configure.patch

Revision 1.147  2009/02/14 17:15:25  megabajt
- provides /usr/share/gnome/shutdown directory (as gnome-session 2.24.x)
- fixed location of at-spi-registryd (since GNOME 2.24 in %{_libdir})
- release 4

Revision 1.142.2.1  2009/01/28 20:59:26  patrys
- 2.24.3
- match Epoch with HEAD

Revision 1.146  2009/01/20 12:32:32  arekm
- rel 3; fix epoch deps

Revision 1.145  2009/01/06 12:52:34  baggins
- typo

Revision 1.144  2009/01/06 12:48:56  baggins
- added NOTE

Revision 1.143  2009/01/06 12:46:59  baggins
- revert to 2.22 as 2.24 is broken, and all the devs say to this is FOAD
  (see http://bugzilla.gnome.org/show_bug.cgi?id=552387),
  2.24 on GNOME_2_24_BROKEN branch

Revision 1.142  2008/11/25 21:37:12  megabajt
- updated to 2.24.2

Revision 1.141  2008/10/23 21:53:44  patrys
- enable splash
- rel 2

Revision 1.140  2008/10/23 11:56:02  megabajt
- updated to 2.24.1

Revision 1.139  2008/10/07 06:57:45  arekm
- enable ipv6

Revision 1.138  2008/09/27 18:52:47  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.135.2.15  2008/09/12 23:14:07  patrys
- 2.23.92 (really)
- drop X-Capplet (fix applnk, not GNOME)

Revision 1.135.2.14  2008/09/12 23:12:18  patrys
- 2.23.92
- drop X-Capplet (fix applnk, not GNOME)

Revision 1.135.2.13  2008/09/04 10:22:55  patrys
- 2.23.91

Revision 1.135.2.12  2008/08/21 11:11:59  megabajt
- own /usr/share/gnome/shutdown

Revision 1.135.2.11  2008/08/20 19:11:39  megabajt
- updated to 2.23.90

Revision 1.135.2.10  2008/08/20 18:52:56  megabajt
- use default location for at-spi-registryd

Revision 1.135.2.9  2008/08/05 16:12:37  patrys
- 2.23.6

Revision 1.135.2.8  2008/07/23 14:49:27  patrys
- 2.23.5

Revision 1.137  2008/06/30 13:56:03  megabajt
- updated to 2.22.3

Revision 1.135.2.7  2008/06/17 21:26:58  patrys
- 2.23.4.1

Revision 1.135.2.6  2008/06/17 14:37:22  megabajt
- updated to 2.23.4

Revision 1.135.2.5  2008/06/15 21:12:27  megabajt
- BR: xorg-lib-xtrans-devel
- fixes in %files

Revision 1.135.2.4  2008/06/03 20:29:57  patrys
- 2.23.3

Revision 1.136  2008/05/31 21:31:57  adamg
- updated to 2.22.2

Revision 1.135.2.3  2008-05-14 18:51:39  patrys
- 2.23.2.2

Revision 1.135.2.2  2008-05-13 16:40:37  patrys
- add default-session

Revision 1.135.2.1  2008-05-13 16:29:03  patrys
- 2.23.2.1

Revision 1.135  2008-04-14 14:13:16  megabajt
- updated to 2.22.1.1

Revision 1.134  2008-04-11 20:24:13  sls
- ver. 2.22.1

Revision 1.133  2008-03-12 12:32:25  patrys
- patch1 is back
- rel 2

Revision 1.132  2008-03-12 12:21:15  patrys
- 2.22.0
- merged from DEVEL

Revision 1.131.2.5  2008-03-12 12:20:24  patrys
- 2.22.0

Revision 1.131.2.4  2008-02-11 21:48:52  megabajt
- updated to 2.21.91

Revision 1.131.2.3  2008-01-28 15:40:38  megabajt
- updated to 2.21.90

Revision 1.131.2.2  2008-01-15 15:26:19  patrys
- add epoch to glib2 req

Revision 1.131.2.1  2008-01-15 14:45:44  patrys
- 2.21.5

Revision 1.131  2008-01-09 19:41:10  megabajt
- updated to 2.20.3

Revision 1.130  2007-11-27 20:52:49  qboosh
- BR: sed 4.0

Revision 1.129  2007-11-27 19:15:55  megabajt
- updated to 2.20.2
- use better way to fix locale name

Revision 1.128  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.127  2007/10/16 17:54:49  megabajt
- updated to 2.20.1

Revision 1.126  2007/09/18 10:59:34  patrys
- 2.20.0

Revision 1.125.2.2  2007/09/07 19:56:13  megabajt
- updated to 2.19.92

Revision 1.125.2.1  2007/08/29 01:15:39  patrys
- 2.19.90

Revision 1.125  2007/07/26 18:57:25  megabajt
- updated to 2.18.3

Revision 1.124  2007/05/30 15:28:37  megabajt
- updated to 2.18.2

Revision 1.123  2007/03/30 19:37:46  megabajt
- fix path to esd
- release 2

Revision 1.122  2007/03/13 10:20:17  megabajt
- update finished (updated desktop patch and fixed unpackaged files)
- release 1

Revision 1.121  2007/03/13 09:11:52  cieciwa
- updated to version 2.18.0,
- release 0.5,
- added BR: libselinux-devel >= 1.34,
- revoved patch0,
- removed file /usr/share/gnome/default.wm

Revision 1.120  2007/03/13 08:46:47  cieciwa
- starting update to 2.18.0.
NFY

Revision 1.119  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.118  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.117  2007/02/01 11:14:14  megabajt
- updated to 2.16.3

Revision 1.116  2006/11/30 18:54:09  megabajt
- up to 2.16.2

Revision 1.115  2006/10/05 22:11:01  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.114  2006/10/03 11:58:52  grzegol
- 2.16.1

Revision 1.113  2006/09/04 20:40:38  grzegol
- 2.16.0

Revision 1.112  2006/08/22 17:16:21  freetz
- 2.15.92, updated deps

Revision 1.111  2006/08/18 14:45:26  freetz
- rel.1

Revision 1.110  2006/08/18 13:13:31  czarny
- up to 2.15.91

Revision 1.109  2006/08/02 16:48:23  freetz
- rel.2, added missing control-center-devel BR

Revision 1.108  2006/07/26 18:28:49  freetz
- 2.15.90

Revision 1.107  2006/07/14 20:58:21  freetz
- 2.15.4, updated deps, --as-needed support

Revision 1.106  2006/06/15 11:49:52  freetz
- rel.2, added no_G_DEBUG patch, updated deps

Revision 1.105  2006/06/09 19:54:13  freetz
- 2.15.1, GNOME 2.15.x deps, configure.patch added to avoid checking for
  installed and not needed at build time programs, remove unsupported
  locale

Revision 1.104  2006/06/06 13:54:07  qboosh
- merged update to 2.14.2 from AC-branch
- strict internal dep

Revision 1.103  2006/04/10 17:12:50  freetz
- 2.14.1

Revision 1.102  2006/04/02 14:29:11  freetz
- merged from DEVEL

Revision 1.101.2.8  2006/03/18 12:01:02  wiget
- fix gnome-keyring BR

Revision 1.101.2.7  2006/03/13 21:29:20  freetz
- 2.14.0

Revision 1.101.2.6  2006/03/04 13:23:32  freetz
- md5

Revision 1.101.2.5  2006/02/28 15:46:43  freetz
- 2.13.92, one more time fixed autostart dir

Revision 1.101.2.4  2006/02/16 08:22:07  freetz
- fix the autostart dir location to match the spec

Revision 1.101.2.3  2006/02/13 20:42:05  freetz
- 2.13.91

Revision 1.101.2.2  2006/01/31 15:27:28  freetz
- add autostart folder

Revision 1.101.2.1  2006/01/30 23:09:40  freetz
- 2.13.90

Revision 1.101  2005/10/05 18:22:42  freetz
- rel.2 for rebuild

Revision 1.100  2005/09/06 13:35:17  aflinta
- merged from DEVEL, 2.12.0

Revision 1.99.2.4  2005/08/17 20:43:55  aflinta
- rebuild with new cairo, rel. 2

Revision 1.99.2.3  2005/08/09 13:36:39  paladine
- updated to 2.11.91

Revision 1.99.2.2  2005/07/26 13:30:39  paladine
- updated to 2.11.90

Revision 1.99.2.1  2005/07/04 20:43:03  freetz
- 2.11.1

Revision 1.99  2005/04/12 21:52:31  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.98  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.97  2005/04/12 16:53:57  freetz
 R: preun Gconf2

Revision 1.96  2005/04/12 16:50:24  freetz
- new style macros, rel.2

Revision 1.95  2005/03/27 16:25:49  freetz
- merged from DEVEL, dropped magicdev support (default session patch),
  removed todo cruft, rel.1

Revision 1.94.2.6  2005/03/20 21:02:19  aflinta
- rebuild with howl 0.9.10, release 0.2

Revision 1.94.2.5  2005/03/20 17:52:01  freetz
- added incidentally omited changelog informations

Revision 1.94.2.4  2005/03/20 17:45:35  freetz
- added less_verbose patch (do not send debug information to stdout)
- removed openbox wm patch - no longer needed

Revision 1.94.2.3  2005/03/13 00:36:01  aflinta
- up to version 2.10.0, NFY

Revision 1.94.2.2  2005/02/08 23:12:14  grzegol
- logout patch is outdated
- rel. 1

Revision 1.94.2.1  2005/02/07 17:19:07  grzegol
- updated to 2.9.4

Revision 1.94  2004/10/12 18:12:57  freetz
- 2.8.1, tested, ready for STBR

Revision 1.93  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.92  2004/09/16 21:40:17  havner
- rel 2 for updated desktop patch

Revision 1.91  2004/09/15 09:05:41  grzegol
- merged from DEVEL and updated to 2.8.0
- removed locale-names patch and remove no locale in %%install

Revision 1.90  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.89  2004/07/26 11:49:25  grzegol
- added desktop patch (s/Application/GTK;GNOME/)
- rel. 3

Revision 1.88  2004/07/22 21:57:00  ankry
- desktop fix, rel. 2

Revision 1.87  2004/06/14 22:34:04  grzegol
- updated to 2.6.2

Revision 1.86  2004/06/10 18:01:59  krzak
- set halt and reboot command because configure couldn't find it by himself.
- rel 2

Revision 1.85.2.7  2004/08/22 21:33:39  aflinta
- rebuild with howl, rel 2

Revision 1.85.2.6  2004/08/17 17:17:15  aflinta
- up to version 2.7.91

Revision 1.85.2.5  2004/07/26 11:45:10  grzegol
- added desktop patch (s/Application/GTK;GNOME/)
- rel. 2

Revision 1.85.2.4  2004/07/20 11:54:04  grzegol
- updated to 2.7.4

Revision 1.85.2.3  2004/07/06 13:02:35  grzegol
- updated to 2.7.3

Revision 1.85.2.2  2004/07/01 15:42:03  grzegol
- updated BRs

Revision 1.85.2.1  2004/06/05 17:28:18  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.85  2004/05/08 11:36:52  pawcioos
- fallback option: R: gnome-wm

Revision 1.84  2004/04/30 07:06:26  pawcioos
- remove R: gnome-wm

Revision 1.83  2004/04/19 21:38:17  grzegol
- updated to 2.6.1

Revision 1.82  2004/03/22 23:47:36  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.81  2004/02/06 19:58:01  freetz
- added openbox_wm patch (support for session managment for openbox and
  as replacement for metacity)
- R: gnome-wm (provided by metacity or openbox)

Revision 1.80  2004/01/15 17:45:21  freetz
- 2.4.2, STBR for AC

Revision 1.79  2003/12/12 21:41:16  wrobell
- added todo item about nautilus and gnome-panel

Revision 1.78  2003/11/20 13:01:31  grzegol
- added logout patch (allow user to shutdown/restart computer only if
  /sbin/halt has SUID root flag)
- rel. 7

Revision 1.77  2003/11/16 18:04:04  qboosh
- cosmetics

Revision 1.76  2003/11/16 16:06:15  krzak
- gnome-splash-gnome package with default gnome splash screen
- rel 6

Revision 1.75  2003/11/14 21:08:37  krzak
- remove dpi.patch (it is done in control-center since now)
- rel 5

Revision 1.74.2.11  2004/03/19 16:29:37  grzegol
- added epoch to esound requires

Revision 1.74.2.10  2004/03/18 18:30:28  grzegol
- added epoch to control-center requires

Revision 1.74.2.9  2004/03/15 16:59:31  grzegol
- updated to 2.5.92
- added R: gnome-keyring

Revision 1.74.2.8  2004/03/09 20:49:46  grzegol
- updated to 2.5.91

Revision 1.74.2.7  2004/02/23 23:27:55  aflinta
- we require gnome-keyring to build

Revision 1.74.2.6  2004/02/23 21:41:42  grzegol
- updated to 2.5.90
- added locale-names patch (changes locale no -> nb)
- updated BRs

Revision 1.74.2.5  2004/02/04 14:18:10  grzegol
- updated to 2.5.4

Revision 1.74.2.4  2004/01/14 20:41:48  grzegol
- updated to 2.5.3

Revision 1.74.2.3  2003/12/16 14:11:18  trojan
- updated to 2.5.2

Revision 1.74.2.2  2003/11/16 16:39:34  wiget
- removed dpi patch (like on HEAD)

Revision 1.74.2.1  2003/11/14 10:45:34  wiget
- 2.5.1

Revision 1.74  2003/11/12 23:50:00  krzak
- X_EXTRA_LIBS="-lXext"
- dpi.patch (that set /desktop/gnome/font_rendering/dpi automatically)
- rel 4

Revision 1.73  2003/11/10 00:32:07  krzak
- {_datadir}/gnome/capplets do not belong to gnome-session any more

Revision 1.72  2003/11/09 23:59:57  krzak
- added : pld-gnome-splash.png
- rel 3

Revision 1.71  2003/11/09 09:51:15  krzak
- typo

Revision 1.70  2003/11/09 02:32:32  krzak
- ups forgot update %files

Revision 1.69  2003/11/09 02:31:08  krzak
- move capplet to {_datadir}/gnome/capplets
- rel 2

Revision 1.68  2003/10/14 11:48:24  freetz
- up to 2.4.1

Revision 1.67  2003/09/24 18:13:00  krzak
- gnome.desktop install in /usr/share/xsessions
- rel 4

Revision 1.66  2003/09/24 09:45:33  krzak
- default-session.patch : by default try to run magicdev while gnome starting
- rel 3, stb.

Revision 1.65  2003/09/19 07:12:34  qrczak
- Revert last change, gnome-common was required.

Revision 1.64  2003/09/18 18:52:38  qrczak
- There is no gnome-common in gnome-2.4.
- Release 2.

Revision 1.63  2003/09/09 17:37:46  grzegol
- updated to 2.4.0

Revision 1.62  2003/09/02 16:45:28  grzegol
- updated to 2.3.90

Revision 1.61  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.60  2003/08/25 21:52:55  grzegol
- updated to 2.3.7

Revision 1.59  2003/08/18 08:08:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.58  2003/08/13 13:38:26  trojan
- updated to 2.3.6.2

Revision 1.57  2003/08/11 13:12:06  trojan
- updated to 2.3.6.1

Revision 1.56  2003/08/07 19:06:02  aflinta
- version 2.3.6

Revision 1.55  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.54  2003/07/15 17:34:17  aflinta
- version 2.3.4

Revision 1.53  2003/07/04 21:37:35  grzegol
- updated to 2.3.3.1

Revision 1.52  2003/06/06 16:52:22  aflinta
- version 2.3.3

Revision 1.51  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 05:48:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/05/20 21:07:46  aflinta
- make sr locales compatible with glibc, release 2

Revision 1.48  2003/05/20 18:26:01  aflinta
- version 2.3.2

Revision 1.47  2003/05/08 14:49:29  qboosh
- renamed sp locale to sr@cyrillic, cosmetics, release 2

Revision 1.46  2003/05/04 20:17:10  grzegol
- commented out R(post,postun): scrollkeeper
- simplified %%postun

Revision 1.45  2003/05/04 17:17:05  aflinta
- version 2.3.1

Revision 1.44  2003/03/27 08:11:57  aflinta
- updated to version 2.3.0

Revision 1.43  2003/03/11 00:41:10  aflinta
- updated to version 2.2.1

Revision 1.42  2003/02/07 08:17:12  wrobell
- rel. 2 /fuck, fuck, fuck/

Revision 1.41  2003/02/06 17:09:37  wrobell
- /usr/share/gnome should be owned by other, more appropriate package
- rel. 2

Revision 1.40  2003/02/04 08:25:11  trojan
- updated to 2.2.0.2
- removed outdated patch

Revision 1.39  2003/01/21 22:21:27  aflinta
- updated to version 2.2.0.1

Revision 1.38  2003/01/21 08:44:50  aflinta
- updated to version 2.2.0

Revision 1.37  2003/01/07 22:20:00  wrobell
- fixed esound build requirements

Revision 1.36  2003/01/06 08:57:43  aflinta
- updated to version 2.1.90

Revision 1.35  2002/12/16 22:15:15  aflinta
- updated to version 2.1.5

Revision 1.34  2002/12/10 08:33:17  aflinta
- updated to version 2.1.4

Revision 1.33  2002/12/09 07:14:00  aflinta
- updated BR
- release 6

Revision 1.32  2002/12/04 21:19:18  aflinta
- moved from /usr/X11R6 to /usr, _omf_dest_dir is now in rpm macros, release 2

Revision 1.31  2002/12/02 20:48:18  wolf
- rpm-build >= 4.1-7 is reqired by %%gconf_schema_install

Revision 1.30  2002/11/28 17:45:28  aflinta
- updated to version 2.1.3

Revision 1.29  2002/11/12 15:17:03  krzak
- Requires:       control-center >= 2.1.2
- because it print a lot of errors without it.

Revision 1.28  2002/11/04 08:05:14  aflinta
- updated to version 2.1.2

Revision 1.27  2002/10/29 18:54:30  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.26  2002/10/24 11:23:18  malekith
- release 2

Revision 1.25  2002/10/14 10:25:52  aflinta
- updated to version 2.1.1

Revision 1.24  2002/10/09 11:13:49  qboosh
- BR: intltool

Revision 1.23  2002/10/07 12:15:13  qboosh
- BR: autoconf,automake,libtool; Requires(post): GConf2

Revision 1.22  2002/09/29 19:35:58  grzegol
- started update to 2.1.0; waiting for gtk+-2.1.0

Revision 1.21  2002/09/05 14:13:36  aflinta
- updated to version 2.0.7

Revision 1.20  2002/08/27 08:29:14  aflinta
- updated to version 2.0.6

Revision 1.19  2002/08/16 14:50:48  wolf
- removed dtd fix

Revision 1.18  2002/08/16 12:43:10  wolf
- correct gconf
- local dtd (not used?)

Revision 1.17  2002/08/15 03:13:46  michuz
- updated to 2.0.5

Revision 1.16  2002/07/15 22:06:53  michuz
- more BR
- fixed aclocal

Revision 1.15  2002/07/15 21:54:08  michuz
- updated to 2.0.2
- changed url
- BR: esound-devel

Revision 1.14  2002/06/23 20:32:27  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/06/23 10:32:33  aflinta
- updated to version 2.0.1

Revision 1.12  2002/06/12 15:38:45  aflinta
- changed source type from ftp:// to http://

Revision 1.11  2002/06/12 13:47:24  wiget
updated to 2.0.0

Revision 1.10  2002/05/29 11:20:47  wiget
- 1.5.20
- more BRs
- fix libwrap linkage
- use sed to patch po/Makefile.in.in
- new %%doc

Revision 1.9  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/14 22:28:33  michuz
- more %%files and %%post fixes

Revision 1.7  2002/05/14 22:26:08  michuz
- fixed %%files

Revision 1.6  2002/05/14 22:16:07  michuz
- added am ac stuff

Revision 1.5  2002/05/14 22:12:54  michuz
- defined sysconfdir

Revision 1.4  2002/05/14 22:06:01  michuz
- updated to 1.5.19

Revision 1.3  2002/05/14 12:15:38  qboosh
- fixed description, added pl one

Revision 1.2  2002/04/30 01:38:34  michuz
- updated to 1.5.18

Revision 1.1  2002/04/26 17:24:06  michuz
- initial release (based on RH)
